> ## Documentation Index
> Fetch the complete documentation index at: https://docs.sonderplan.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Contact

> 
<Note>`WRITE` access to the `CONTACT` module is required to access this endpoint</Note><Warning>Unlike virtually every other model, contact `id` **cannot be assumed to be unique. Use `uuid` instead.**<br/> <br/>Contacts may be either people or organizations and these are stored in separate tables in the database, each with its own auto-incrementing identifier.<br/><br/> The contacts model creates a union between these two tables to allow simplified operations under a single namespace.</Warning>




## OpenAPI

````yaml /api-reference/openapi-mintlify.yaml delete /v2/contact
openapi: 3.0.0
info:
  title: Sonderplan API
  description: >
    ## Overview

    You can use our REST API to securely access and modify the data within your
    Sonderplan account. This includes all the information within your bookings,
    projects and invoices that you can use to import / export data or create
    integrations with other systems and software that you use


    ### General Notes


    #### Specifying Fields

    The Sonderplan REST API allows you to specify a comma delimited string of
    exactly which fields are returned, using the `fields` parameter. Using this
    parameter has several advantages including:


    1. In future API versions we may change which fields are presented by
    default, so explicitly specifying the fields required overrides the defaults
    and ensure the fields are served

    2. Limiting fields reduces the processing we need to do and allows us to
    send you the data faster

    3. Some search filters only work if the field you are searching is added to
    the `fields` parameter.


    Example:


    ```

    fields=id,name,start,duration_min

    ```


    ### Applying Filters


    The Query Parameters section in each endpoint shows you special options that
    can be added to your request to customise the response we send you.


    Most endpoints offer the following query params:


    | Query Parameter |
    Description                                                    |

    |-----------------|----------------------------------------------------------------|

    | `fields`        | Only send the specified
    fields                                 |

    | `id`            | Specify one or more ids (comma seperated) of records to
    return |

    | `limit`         | The maximum number of records to
    return                        |

    | `page`          | The page number of records to
    return                           |

    | `order_asc` | Specify which field should be used to sort records
    `ascending` |

    | `order_desc` | Specify which field should be used to sort records
    `descending` |


    In addition to the standard `id` param, you can also specify most other
    fields as a query parameter, useful for performing searching and filtering
    of records.


    For example, you can specify `repeat_master_id=<repeat_booking_id>` to
    return all repeat children of that booking.


    #### Other Query Params


    Refer to the specific API endpoint documentation to see which other query
    params can be used.


    For example, some endpoints allow specifying `updated_after=<UNIX
    TIMESTAMP>` which will only send added, edited and even deleted records that
    were modified after the unix timestamp.


    #### Applying multiple filters


    By default, multiple filters are chained together using **OR** (either
    filter can be true and it will be included). You can change this behaviour
    by specifying `filter_operator=AND`, so each filter must be true to be
    included.


    #### Filtering by Custom Field Values


    For modules that include custom fields, you can search by the value of a
    custom field by adding the `custom_field_<field id>` to the URL query
    parameters. You **must** also specify the custom field in the `fields`
    parameter.


    ```

    GET
    https://api.sonderplan.com/v2/booking?fields=id,name,custom_field_238938&custom_field_238938=Offline

    ```


    This will return custom fields that contain the word 'Offline'.
  contact:
    email: info@sonderplan.com
  version: '2.0'
servers:
  - url: https://api.sonderplan.com
    description: Production Server
security: []
tags:
  - name: Booking
    description: Booking related operations
  - name: Project
    description: Project related operations
  - name: Resource
    description: Resource related operations
  - name: Contact
    description: Contact related operations
  - name: Quote
    description: Quote related operations
  - name: Invoice
    description: Invoice related operations
  - name: Invoice Template
    description: Invoice template related operations
  - name: Billable Item
    description: Billable item related operations
  - name: Rate Scheme
    description: Rate scheme related operations
  - name: Tax
    description: Tax related operations
  - name: Workspace
    description: Workspace (formerly Schedule) related operations
  - name: User
    description: User related operations
  - name: Group
    description: Group related operations
  - name: Status
    description: Status related operations
  - name: Custom Field
    description: Custom field related operations
  - name: Calendar Subscription
    description: Calendar Subscription Import related operations
  - name: Time Entry
    description: Time Entry related operations
  - name: Time Activity
    description: Time Activity related operations
paths:
  /v2/contact:
    delete:
      tags:
        - Contact
      summary: Delete Contact
      description: >

        <Note>`WRITE` access to the `CONTACT` module is required to access this
        endpoint</Note><Warning>Unlike virtually every other model, contact `id`
        **cannot be assumed to be unique. Use `uuid` instead.**<br/>
        <br/>Contacts may be either people or organizations and these are stored
        in separate tables in the database, each with its own auto-incrementing
        identifier.<br/><br/> The contacts model creates a union between these
        two tables to allow simplified operations under a single
        namespace.</Warning>
      operationId: 85aaca8f113c27589be71e94eb7dcf16
      parameters:
        - name: uuid
          in: query
          description: The uuid of the contact to delete
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Successful Operation
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/success'
        '401':
          description: Authorization information is missing or invalid
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/notFound'
      security:
        - bearer: []
components:
  schemas:
    success:
      title: Success Response
      properties:
        success:
          properties:
            id:
              type: integer
              example: 1
          type: object
      type: object
    notFound:
      title: Not Found Response
      description: Class OpenApi
      properties:
        error:
          properties:
            code:
              description: The HTTP error code
              type: integer
              example: '404'
            message:
              description: More detail on the error encountered
              type: string
              example: Requested resource was not found
          type: object
      type: object
  securitySchemes:
    bearer:
      type: http
      scheme: bearer

````